package cn.com.countrygarden.bi.main.model.wcx;


import java.util.Date;

/**
 * 创新
 *
 * @author ferren
 */
public class WcxInnovation {
    private String innovationId; // varchar(36) NOT NULL COMMENT '主键',
    private String innovationTitle; // varchar(255) DEFAULT NULL COMMENT '标题',
    //    private String innovationContent; // 已废弃不再使用 varchar(1000) DEFAULT NULL COMMENT '内容', //
    private String innovationContentId;
    private String innovationSimpleContent;
    private String innovationType; // char(1) DEFAULT NULL COMMENT '创新类型(1:个人创新,2:团队创新)',
    private String baseline; // char(1) DEFAULT NULL COMMENT '基础业务线',
    private String classification; // char(1) DEFAULT NULL COMMENT '类型',
    private String teamContent; // varchar(255) DEFAULT NULL COMMENT '团队成员介绍内容',
    private String projectName; // varchar(36) DEFAULT NULL COMMENT '项目名称',
    private String regionName; // varchar(36) DEFAULT NULL COMMENT '区域名称',
    private Date topEndDate; // 置顶结束时间
    private String userId; // varchar(36) NOT NULL COMMENT '用户表的主键',
    private String status; // char(1) DEFAULT NULL COMMENT '状态(0:未启用,1:启用)',
    private Date createDate; // datetime DEFAULT NULL COMMENT '创建日期',

    public Date getTopEndDate() {
        return topEndDate;
    }

    public void setTopEndDate(Date topEndDate) {
        this.topEndDate = topEndDate;
    }

    public String getInnovationId() {
        return innovationId;
    }

    public void setInnovationId(String innovationId) {
        this.innovationId = innovationId;
    }

    public String getInnovationTitle() {
        return innovationTitle;
    }

    public void setInnovationTitle(String innovationTitle) {
        this.innovationTitle = innovationTitle;
    }

   /* public String getInnovationContent() {
        return innovationContent;
    }

    public void setInnovationContent(String innovationContent) {
        this.innovationContent = innovationContent;
    }*/

    public String getInnovationType() {
        return innovationType;
    }

    public void setInnovationType(String innovationType) {
        this.innovationType = innovationType;
    }

    public String getBaseline() {
        return baseline;
    }

    public void setBaseline(String baseline) {
        this.baseline = baseline;
    }

    public String getClassification() {
        return classification;
    }

    public void setClassification(String classification) {
        this.classification = classification;
    }

    public String getTeamContent() {
        return teamContent;
    }

    public void setTeamContent(String teamContent) {
        this.teamContent = teamContent;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getInnovationContentId() {
        return innovationContentId;
    }

    public void setInnovationContentId(String innovationContentId) {
        this.innovationContentId = innovationContentId;
    }

    public String getInnovationSimpleContent() {
        return innovationSimpleContent;
    }

    public void setInnovationSimpleContent(String innovationSimpleContent) {
        this.innovationSimpleContent = innovationSimpleContent;
    }
}
